CopyField (Solr 3.6.2 API)
Keywords: org.apache.solr.schema.CopyField class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.schema
Class CopyField

    java.lang.Object
      org.apache.solr.schema.CopyField

    public class CopyField

extends Object

`CopyField` contains all the information of a valid copy fields in an index.

Since:
  solr 1.4

Field Summary
`static int` | `UNLIMITED`

Constructor Summary
`CopyField(SchemaField source, SchemaField destination)`
`CopyField(SchemaField source, SchemaField destination, int maxChars)`

Method Summary
`SchemaField` | `getDestination()`
`String` | `getLimitedValue(String val)`
`int` | `getMaxChars()`
`SchemaField` | `getSource()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNLIMITED

    public static final int UNLIMITED

See Also:
  Constant Field Values

Constructor Detail

### CopyField

    public CopyField(SchemaField source,
                     SchemaField destination)

### CopyField

    public CopyField(SchemaField source,
                     SchemaField destination,
                     int maxChars)

Parameters:
  `source` - The SchemaField of the source field.
  `destination` - The SchemaField of the destination field.
  `maxChars` - Maximum number of chars in source field to copy to destination field. If equal to 0, there is no limit.

Method Detail

### getLimitedValue

    public String getLimitedValue(String val)

### getSource

    public SchemaField getSource()

  Returns:
    source SchemaField

### getDestination

    public SchemaField getDestination()

  Returns:
    destination SchemaField

### getMaxChars

    public int getMaxChars()

  Returns:
    tha maximum number of chars in source field to copy to destination field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD